# Asantiya – Bringing Ease to Your Deployment Workflow

**Asantiya** (*Pashto: اسانتیا*) isn't just a name – it embodies the spirit of the tool. In Pashto:

- **asan (اسان)** = *easy*  
- **asantiya (اسانتیا)** = *ease*, *comfort*, *convenience*

This CLI tool makes deploying applications effortless, whether you're targeting local environments or remote servers.

[![PyPI version](https://img.shields.io/pypi/v/asantiya)](https://pypi.org/project/asantiya/)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)
[![Documentation](https://img.shields.io/badge/docs-website-brightgreen)](https://yourwebsite.com)  <!-- Replace with your actual website -->

## ✨ Why Asantiya?

- **Zero-Deploy-Friction**: Automate deployments so you can focus on coding, not server setup
- **Environment Agnostic**: Works seamlessly for both local testing and production environments
- **Docker-Powered**: Ensures consistency across environments with containerization
- **Developer-Friendly**: Intuitive CLI commands abstract away complex deployment steps
- **Config-Driven**: Control ports, images, and environments through simple YAML files

## 🚀 Quick Start

```bash
pip install asantiya
asantiya init  # Creates default configuration
asantiya deploy --env production